Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class DBTableChangedListener

    java.lang.Object
      semorg.gui.util.DBTableChangedListener

    public abstract class DBTableChangedListener

extends Object

Models a Listener which reacts on changes of the database tables. All child classes are anonymous inner classes.

Field Summary
`private int` | `type` The type of the DBTableChangedListener.
`static int` | `TYPE_ABSTRACTTABLE` Indicates that the Listener is fired by a method of class AbstractTable.
`static int` | `TYPE_ASSOCIATE` Indicates that the Listener is fired by a method of class Associate.
`static int` | `TYPE_BOOKING` Indicates that the Listener is fired by a method of class Booking.
`static int` | `TYPE_CLIENT` Indicates that the Listener is fired by a method of class Client.
`static int` | `TYPE_CLIENTBOOKING` Indicates that the Listener is fired by a method of class ClientBooking.
`static int` | `TYPE_COMPANY` Indicates that the Listener is fired by a method of class Company.
`static int` | `TYPE_COMPANYBOOKING` Indicates that the Listener is fired by a method of class CompanyBooking.
`static int` | `TYPE_COMPANYINTERNALPRESENTATION` Indicates that the Listener is fired by a method of class CompanyInternalPresentation.
`static int` | `TYPE_CONDUCT` Indicates that the Listener is fired by a method of class Conduct.
`static int` | `TYPE_ENUMERATION` Indicates that the Listener is fired by a method of class Enumeration.
`static int` | `TYPE_INSTRUCTOR` Indicates that the Listener is fired by a method of class Instructor.
`static int` | `TYPE_LECTURER` Indicates that the Listener is fired by a method of class Lecturer.
`static int` | `TYPE_PERSON` Indicates that the Listener is fired by a method of class Person.
`static int` | `TYPE_PRESENTATION` Indicates that the Listener is fired by a method of class Presentation.
`static int` | `TYPE_PUBLICPRESENTATION` Indicates that the Listener is fired by a method of class PublicPresentation.
`static int` | `TYPE_SEMINARTYPE` Indicates that the Listener is fired by a method of class Seminartype.
`static int` | `TYPE_SUPERVISOR` Indicates that the Listener is fired by a method of class Supervisor.

Constructor Summary
`DBTableChangedListener(int type)` Creates an DBTableChangedListener instance with the given type.

Method Summary
`abstract void` | `dBTableChanged()` Performs the action of the listener.
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ABSTRACTTABLE

    public static final int TYPE_ABSTRACTTABLE

  Indicates that the Listener is fired by a method of class AbstractTable.

  See Also:
    Constant Field Values

### TYPE_ASSOCIATE

    public static final int TYPE_ASSOCIATE

  Indicates that the Listener is fired by a method of class Associate.

  See Also:
    Constant Field Values

### TYPE_BOOKING

    public static final int TYPE_BOOKING

  Indicates that the Listener is fired by a method of class Booking.

  See Also:
    Constant Field Values

### TYPE_CLIENT

    public static final int TYPE_CLIENT

  Indicates that the Listener is fired by a method of class Client.

  See Also:
    Constant Field Values

### TYPE_CLIENTBOOKING

    public static final int TYPE_CLIENTBOOKING

  Indicates that the Listener is fired by a method of class ClientBooking.

  See Also:
    Constant Field Values

### TYPE_COMPANY

    public static final int TYPE_COMPANY

  Indicates that the Listener is fired by a method of class Company.

  See Also:
    Constant Field Values

### TYPE_COMPANYBOOKING

    public static final int TYPE_COMPANYBOOKING

  Indicates that the Listener is fired by a method of class CompanyBooking.

  See Also:
    Constant Field Values

### TYPE_COMPANYINTERNALPRESENTATION

    public static final int TYPE_COMPANYINTERNALPRESENTATION

  Indicates that the Listener is fired by a method of class CompanyInternalPresentation.

  See Also:
    Constant Field Values

### TYPE_CONDUCT

    public static final int TYPE_CONDUCT

  Indicates that the Listener is fired by a method of class Conduct.

  See Also:
    Constant Field Values

### TYPE_ENUMERATION

    public static final int TYPE_ENUMERATION

  Indicates that the Listener is fired by a method of class Enumeration.

  See Also:
    Constant Field Values

### TYPE_INSTRUCTOR

    public static final int TYPE_INSTRUCTOR

  Indicates that the Listener is fired by a method of class Instructor.

  See Also:
    Constant Field Values

### TYPE_LECTURER

    public static final int TYPE_LECTURER

  Indicates that the Listener is fired by a method of class Lecturer.

  See Also:
    Constant Field Values

### TYPE_PERSON

    public static final int TYPE_PERSON

  Indicates that the Listener is fired by a method of class Person.

  See Also:
    Constant Field Values

### TYPE_PRESENTATION

    public static final int TYPE_PRESENTATION

  Indicates that the Listener is fired by a method of class Presentation.

  See Also:
    Constant Field Values

### TYPE_PUBLICPRESENTATION

    public static final int TYPE_PUBLICPRESENTATION

  Indicates that the Listener is fired by a method of class PublicPresentation.

  See Also:
    Constant Field Values

### TYPE_SEMINARTYPE

    public static final int TYPE_SEMINARTYPE

  Indicates that the Listener is fired by a method of class Seminartype.

  See Also:
    Constant Field Values

### TYPE_SUPERVISOR

    public static final int TYPE_SUPERVISOR

  Indicates that the Listener is fired by a method of class Supervisor.

  See Also:
    Constant Field Values

### type

    private int type

  The type of the DBTableChangedListener. Indicates from which class the listener was fired.

Constructor Detail

### DBTableChangedListener

    public DBTableChangedListener(int type)

  Creates an DBTableChangedListener instance with the given type.

  Parameters:
    `type` - the desired type of the new DBTableChangedListener

Method Detail

### getType

    public final int getType()

### dBTableChanged

    public abstract void dBTableChanged()

  Performs the action of the listener. This class is implemented by anonymous inner classes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD